Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.bpmn2.handler
Class LoggingTaskHandlerDecorator.WorkItemExceptionInfo

    java.lang.Object
      org.jbpm.bpmn2.handler.LoggingTaskHandlerDecorator.WorkItemExceptionInfo

Enclosing class:
  LoggingTaskHandlerDecorator

    public class LoggingTaskHandlerDecorator.WorkItemExceptionInfo

extends Object

Constructor Summary
`LoggingTaskHandlerDecorator.WorkItemExceptionInfo(WorkItem workItem, Throwable cause, boolean onExecute)`

Method Summary
`Throwable` | `getException()`
`long` | `getProcessInstanceId()`
`Date` | `getTimeThrown()`
`long` | `getWorkItemId()`
`String` | `getWorkItemName()`
`Map<String,Object>` | `getWorkItemParameters()`
`boolean` | `onExecute()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingTaskHandlerDecorator.WorkItemExceptionInfo

    public LoggingTaskHandlerDecorator.WorkItemExceptionInfo(WorkItem workItem,
                                                             Throwable cause,
                                                             boolean onExecute)

Method Detail

### getException

    public Throwable getException()

### getTimeThrown

    public Date getTimeThrown()

### onExecute

    public boolean onExecute()

### getProcessInstanceId

    public long getProcessInstanceId()

### getWorkItemId

    public long getWorkItemId()

### getWorkItemName

    public String getWorkItemName()

### getWorkItemParameters

    public Map<String,Object> getWorkItemParameters()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.